Bug 1594731 - Update procedure doesn't trigger post_update_tasks
Summary: Update procedure doesn't trigger post_update_tasks
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 13.0 (Queens)
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: z3
: 13.0 (Queens)
Assignee: Jiri Stransky
QA Contact: Noam Manos
URL:
Whiteboard:
Keywords: TestOnly, Triaged, ZStream
Depends On: 1597666 1652444
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-06-25 09:53 UTC by Jiri Stransky
Modified: 2018-11-22 06:26 UTC (History)
10 users (show)

(edit)
Service post-update tasks did not execute during minor version update procedure. As a result, services, for example, OpenDaylight, did not perform the full set of expected actions during a minor version update.
Service post-date tasks now trigger during minor version update procedures and service post-update tasks are executed as expected.
Clone Of:
(edit)
Last Closed: 2018-09-21 10:36:14 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenStack gerrit 577754 None master: MERGED tripleo-heat-templates: Execute post_update_tasks in update playbook (I15a984172cd5532bc966269d8c68f27b5703733e) 2018-08-28 15:07 UTC
OpenStack gerrit 579824 None stable/queens: MERGED tripleo-heat-templates: Execute post_update_tasks in update playbook (I15a984172cd5532bc966269d8c68f27b5703733e) 2018-08-28 15:07 UTC
Launchpad 1778471 None None None 2018-06-25 09:53 UTC

Description Jiri Stransky 2018-06-25 09:53:26 UTC
When we run minor update, the post_update_tasks aren't getting executed, looking at code history, it seems they have never been executed. This affects ODL which makes use of those tasks.

Comment 13 Noam Manos 2018-09-20 13:15:34 UTC
To verify:

* During OSP13 update step "openstack overcloud update run --nodes Controller" -
Check if any of the these tasks show up in the update logs on controller node:

1) https://github.com/openstack/tripleo-heat-templates/blob/master/docker/services/opendaylight-api.yaml#L223

The 2nd block is conditional by update level, but at least the 1st block should be executed unconditionally.

2) https://github.com/openstack/tripleo-heat-templates/blob/master/docker/services/opendaylight-api.yaml#L284-L287

So at least this should be visible in the ansible log from update:

3) https://github.com/openstack/tripleo-heat-templates/blob/master/docker/services/opendaylight-api.yaml#L254-L258

Comment 16 Noam Manos 2018-09-21 08:48:40 UTC
Verified on OSP13 with ODL, while updating from Puddle 2018-08-03.3 to Puddle 2018-08-14.4.

Comment 17 Lon Hohberger 2018-09-21 10:36:14 UTC
According to our records, this should be resolved by openstack-tripleo-heat-templates-8.0.4-20.el7ost.  This build is available now.


Note You need to log in before you can comment on or make changes to this bug.